OGRE: Ogre::SceneManager::SceneMgrQueuedRenderableVisitor Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::SceneManager::SceneMgrQueuedRenderableVisitor Class Reference

Inner helper class to implement the visitor pattern for rendering objects in a queue. More...

`#include <OgreSceneManager.h>`

Inheritance diagram for Ogre::SceneManager::SceneMgrQueuedRenderableVisitor:

[legend]
List of all members.

## Public Member Functions

| SceneMgrQueuedRenderableVisitor ()
| ~SceneMgrQueuedRenderableVisitor ()
void | visit (const Renderable *r)
| Visit method called once per Renderable on a grouped collection.
bool | visit (const Pass *p)
void | visit (const RenderablePass *rp)
| Called when visiting a RenderablePass, ie items in a sorted collection where items are not grouped by pass.

## Public Attributes

SceneManager * | targetSceneMgr
| Target SM to send renderables to.
bool | transparentShadowCastersMode
| Are we in transparent shadow caster mode?
bool | autoLights
| Automatic light handling?
const LightList * | manualLightList
| Manual light list.

## Protected Attributes

const Pass * | mUsedPass
| Pass that was actually used at the grouping level.

## Detailed Description

Inner helper class to implement the visitor pattern for rendering objects in a queue.

Definition at line 775 of file OgreSceneManager.h.

## Constructor & Destructor Documentation

Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::SceneMgrQueuedRenderableVisitor | ( |  | ) |

| Definition at line 781 of file OgreSceneManager.h.

Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::~SceneMgrQueuedRenderableVisitor | ( |  | ) |

| Definition at line 783 of file OgreSceneManager.h.

## Member Function Documentation

void Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::visit | ( | const RenderablePass * | rp | ) | `[virtual]`

Called when visiting a RenderablePass, ie items in a sorted collection where items are not grouped by pass.

Remarks:
  If this is called, neither of the other 2 visit methods will be called.

Implements Ogre::QueuedRenderableVisitor.

bool Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::visit | ( | const Pass * | p | ) | `[virtual]`

| Implements Ogre::QueuedRenderableVisitor.

void Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::visit | ( | const Renderable * | r | ) | `[virtual]`

Visit method called once per Renderable on a grouped collection.

Remarks:
  If this method is called, the RenderablePass visit method will not be called for this collection.

Implements Ogre::QueuedRenderableVisitor.

## Member Data Documentation

bool Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::autoLights

| Automatic light handling? Definition at line 793 of file OgreSceneManager.h.

const LightList* Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::manualLightList

| Manual light list. Definition at line 795 of file OgreSceneManager.h.

const Pass* Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::mUsedPass`[protected]`

| Pass that was actually used at the grouping level. Definition at line 779 of file OgreSceneManager.h.

SceneManager* Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::targetSceneMgr

| Target SM to send renderables to. Definition at line 789 of file OgreSceneManager.h.

bool Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::transparentShadowCastersMode

| Are we in transparent shadow caster mode? Definition at line 791 of file OgreSceneManager.h.

The documentation for this class was generated from the following file:

- OgreSceneManager.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:48:32 2008